# -*- coding: utf-8 -*-
# SPDX-License-Identifier: AGPL-3.0-or-later
"""
Searx plugin in order to show qr codes.

searxng-qrcode
  Generate qr codes as soon as there is a "QR" in front of search query.

"""

from setuptools import setup

GIT_URL='https://git.monobear.eu/monobear/searxng-qrcode'

setup(
    name                = 'searxng-qrcode'
    , version           = '0.1'
    , description       = 'The Green Web Foundation searx plugins'
    , long_description  = __doc__
    , url               =  GIT_URL
    , author            = 'Lukas Schreiner'
    , author_email      = 'dev@lschreiner.de'
    , project_urls      = {
        "Code"              : GIT_URL
        , "Issue tracker"   : GIT_URL + "/issues"
    }
    , license           = 'GNU Affero General Public License'
    , zip_safe          = False
    , py_modules        = [
        'monobear_searxng_qrcode'
    ]
    , entry_points      = {
        'searxng.plugins' : [
            'monobear.qrcode = monobear_searxng_qrcode'
        ]
    },
    install_requires = [
        'qrcode[pil] >= 7.4'
    ],
)